Bug 115140 - No CD audio when aumix CD not set to R (record)
No CD audio when aumix CD not set to R (record)
Product: Fedora
Classification: Fedora
Component: aumix (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
Depends On:
  Show dependency treegraph
Reported: 2004-02-06 16:24 EST by Barton Fisk
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-29 12:19:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
output from lspci -vv (5.26 KB, text/plain)
2004-02-07 08:15 EST, Barton Fisk
no flags Details
lspci -vv output (8.04 KB, text/plain)
2004-04-10 23:09 EDT, Graydon Saunders
no flags Details

  None (edit)
Description Barton Fisk 2004-02-06 16:24:24 EST
Description of problem:

After attempting to rip a CDROM with gripper, my cdrom (ATAPI) stopped
playing audio. All other audio played normally. Only audio from CDROM
was affected.After changing settings several times there was no effect
at all. Changing the CD setting to R (record) in aumix seemed to fix
the problem. CD music is now playing again. This affected cdplayer,
and xmms and grip. CD worked fine in window xp. As long as the CD is
set to R (record) in aumix, everything works. Hopefully this will help
another bewilderd soul.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. set CD line to P in aumix
Actual results:

P stops CD audio, R turns it on. seems backwards.

Expected results:

reverse of above, also checkboxes in master volume control should work.

Additional info:
the settings in aumix don't reflect on the master volume control panel.
Comment 1 Mike A. Harris 2004-02-07 02:11:45 EST
This sounds more like a sound card driver problem to me, what
sound card do you have?  Please provide the output of "lspci -vv".

aumix provides a UI to various sound hardware, however not all
sound hardware support all things equally.
Comment 2 Mike A. Harris 2004-02-07 02:13:03 EST
Also, provide the output of "uname -a" please.
Comment 3 Barton Fisk 2004-02-07 08:15:38 EST
Created attachment 97524 [details]
output from lspci -vv
Comment 4 Barton Fisk 2004-02-07 08:16:15 EST
uname -a 

Linux barton.fisknet.net 2.4.22-1.2149.nptl #1 Wed Jan 7 13:08:26 EST
2004 i686 i686 i386 GNU/Linux
Comment 5 Graydon Saunders 2004-04-10 23:09:04 EDT
Created attachment 99309 [details]
lspci -vv output
Comment 6 Graydon Saunders 2004-04-10 23:10:16 EDT
I'm getting the same thing, though not with that sound card, and the 
aumix setting switch has no effect. 
I can play any sort of sound -- I'm using Arts -- *except* from CD 
audio; I can rip CDs, I can write CDs, play DVDs, play ogg, au, and 
wav files, and xine will stream RealAudio, but nothing -- cdp, kscd, 
grip -- will play an audio CD.  The CD spins, the sound is there in 
the direct headphone jack on the drive, but nothing out the speakers. 
Nothing in the way of AVC messages from selinux are showing up 
in /var/log/messages 
uname -a 
Linux grithr 2.6.5-1.315 #1 Fri Apr 9 13:44:11 EDT 2004 i686 athlon 
i386 GNU/Linux 
lspci -vv has been attached. 
Comment 7 Mike A. Harris 2005-03-29 12:19:01 EST
aumix is deprecated, and has been removed from FC4 development.  Fedora
Core 2 and later whip with 2.6 kernels, which use ALSA.  alsamixer is the
recommended and preferred mixer for FC2 and newer OS releases.  Please
upgrade to the current OS release and try alsamixer.

Setting status to "CURRENTRELEASE" to indicate problem resolved with
alternative software in current OS releases.

Note You need to log in before you can comment on or make changes to this bug.